Bug 842882 - Remove the PyXML dependency
Remove the PyXML dependency
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openerp (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alec Leamas
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 843176
  Show dependency treegraph
 
Reported: 2012-07-24 16:12 EDT by Toshio Ernie Kuratomi
Modified: 2013-02-21 00:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 00:42:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toshio Ernie Kuratomi 2012-07-24 16:12:55 EDT
Description of problem:
We're looking into removing the PyXML package from Fedora 18 as it is dead upstream and has the dubious behaviour of replacing the stdlib's xml module with its own code.  https://fedoraproject.org/wiki/User:Toshio/Remove_PyXML  I took a look at the openerp code and some upstream bug reports.  It looks like openerp actively ported away from PyXML sometime in the 5.0.x line.  So the Requires: PyXML in the Fedora package should just be dropped.
Comment 1 Toshio Ernie Kuratomi 2013-01-11 14:44:26 EST
I've created an F19 feature for removing the PyXML dep.  If I don't hear back from you, I'll remove the Requires: PyXML in rawhide and we can see if things are okay.

(I'll probably do that after FUDCon ~week and a half)
Comment 2 Alec Leamas 2013-01-23 04:29:43 EST
Oops, don't know how come I missed this bug. I'll take a look at it. Back soon.
Comment 3 Fedora Update System 2013-01-27 08:26:19 EST
openerp-6.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openerp-6.1-3.fc18
Comment 4 Fedora Update System 2013-01-27 08:27:41 EST
openerp-6.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openerp-6.1-3.fc17
Comment 5 Fedora Update System 2013-01-27 11:04:55 EST
openerp-6.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openerp-6.1-4.fc17
Comment 6 Fedora Update System 2013-01-27 11:06:36 EST
openerp-6.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openerp-6.1-4.fc18
Comment 7 Fedora Update System 2013-01-27 15:14:24 EST
openerp-6.1-4.20130126_002033.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openerp-6.1-4.20130126_002033.fc18
Comment 8 Fedora Update System 2013-01-27 15:15:45 EST
openerp-6.1-4.20130126_002033.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openerp-6.1-4.20130126_002033.fc17
Comment 9 Fedora Update System 2013-01-28 09:52:31 EST
Package openerp-6.1-4.20130126_002033.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openerp-6.1-4.20130126_002033.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1565/openerp-6.1-4.20130126_002033.fc17
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-02-21 00:42:16 EST
openerp-6.1-4.20130126_002033.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-02-21 00:53:02 EST
openerp-6.1-4.20130126_002033.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.